summaryrefslogtreecommitdiff
path: root/tests/cp/no-deref-link3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-06-22 04:01:43 +0000
committerJim Meyering <jim@meyering.net>1997-06-22 04:01:43 +0000
commit973f13ccb2d135c86860889272728657e5407c64 (patch)
tree6f0a654d72f7ee39d2657afbf30cbdbfda6a0030 /tests/cp/no-deref-link3
parente148f6d2932895599c732cff51878eb6a0fde7ab (diff)
downloadcoreutils-973f13ccb2d135c86860889272728657e5407c64.tar.xz
.
Diffstat (limited to 'tests/cp/no-deref-link3')
-rwxr-xr-xtests/cp/no-deref-link310
1 files changed, 7 insertions, 3 deletions
diff --git a/tests/cp/no-deref-link3 b/tests/cp/no-deref-link3
index 896d64d8a..4d3611aee 100755
--- a/tests/cp/no-deref-link3
+++ b/tests/cp/no-deref-link3
@@ -7,13 +7,17 @@ msg=bar
echo $msg > a
ln -s a b
+fail=0
+
# It should fail with a message something like this:
# ./cp: `a' and `b' are the same file
./cp -d a b 2>/dev/null
# Fail this test if the exit status is not 1
-test $? = 1 || exit 1
+test $? = 1 || fail=1
+
+test "`cat a`" = $msg || fail=1
-test "`cat a`" = bar || exit 1
+rm -f a b
-exit 0
+exit $fail